Index: branches/alma/external/atnf/PKSIO/FITSreader.h
===================================================================
--- branches/alma/external/atnf/PKSIO/FITSreader.h	(revision 1453)
+++ branches/alma/external/atnf/PKSIO/FITSreader.h	(revision 1757)
@@ -2,30 +2,32 @@
 //# FITSreader.h: ATNF single-dish FITS reader.
 //#---------------------------------------------------------------------------
-//# Copyright (C) 2000-2006
-//# Mark Calabretta, ATNF
+//# livedata - processing pipeline for single-dish, multibeam spectral data.
+//# Copyright (C) 2000-2009, Australia Telescope National Facility, CSIRO
 //#
-//# This library is free software; you can redistribute it and/or modify it
-//# under the terms of the GNU Library General Public License as published by
-//# the Free Software Foundation; either version 2 of the License, or (at your
-//# option) any later version.
+//# This file is part of livedata.
 //#
-//# This library is distributed in the hope that it will be useful, but WITHOUT
+//# livedata is free software: you can redistribute it and/or modify it under
+//# the terms of the GNU General Public License as published by the Free
+//# Software Foundation, either version 3 of the License, or (at your option)
+//# any later version.
+//#
+//# livedata is distributed in the hope that it will be useful, but WITHOUT
 //# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-//# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
-//# License for more details.
+//# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+//# more details.
 //#
-//# You should have received a copy of the GNU Library General Public License
-//# along with this library; if not, write to the Free Software Foundation,
-//# Inc., 675 Massachusetts Ave, Cambridge, MA 02139, USA.
+//# You should have received a copy of the GNU General Public License along
+//# with livedata.  If not, see <http://www.gnu.org/licenses/>.
 //#
-//# Correspondence concerning this software should be addressed as follows:
-//#        Internet email: mcalabre@atnf.csiro.au.
-//#        Postal address: Dr. Mark Calabretta,
-//#                        Australia Telescope National Facility,
-//#                        P.O. Box 76,
-//#                        Epping, NSW, 2121,
+//# Correspondence concerning livedata may be directed to:
+//#        Internet email: mcalabre@atnf.csiro.au
+//#        Postal address: Dr. Mark Calabretta
+//#                        Australia Telescope National Facility, CSIRO
+//#                        PO Box 76
+//#                        Epping NSW 1710
 //#                        AUSTRALIA
 //#
-//# $Id$
+//# http://www.atnf.csiro.au/computing/software/livedata.html
+//# $Id: FITSreader.h,v 19.11 2009-09-29 07:33:38 cal103 Exp $
 //#---------------------------------------------------------------------------
 //# The FITSreader class is an abstract base class for the Parkes Multibeam
@@ -38,5 +40,8 @@
 #define ATNF_FITSREADER_H
 
-#include <atnf/PKSIO/PKSMBrecord.h>
+#include <atnf/PKSIO/MBrecord.h>
+
+using namespace std;
+
 
 // <summary>
@@ -44,4 +49,5 @@
 // </summary>
 
+//class FITSreader
 class FITSreader
 {
@@ -74,4 +80,5 @@
         double antPos[3],
         char   obsType[32],
+        char   bunit[32],
         float  &equinox,
         char   radecsys[32],
@@ -90,4 +97,9 @@
     // Set data selection criteria.  Channel numbering is 1-relative, zero or
     // negative channel numbers are taken to be offsets from the last channel.
+    // Coordinate systems are
+    //   0: equatorial (RA,Dec),
+    //   1: horizontal (Az,El),
+    //   2: feed-plane,
+    //   3: zenithal position angle of feed and elevation, (ZPA,El).
     int select(
         const int startChan[],
@@ -96,5 +108,8 @@
         const int getSpectra = 1,
         const int getXPol = 0,
-        const int getFeedPos = 0);
+        const int getFeedPos = 0,
+        const int getPointing = 0,
+        const int coordSys = 0);
+
 
     // Find the range in time and position of the data selected.
@@ -108,5 +123,6 @@
     // Read the next data record.
     virtual int read(
-        PKSMBrecord &record) = 0;
+//        PKSMBrecord &record) = 0;
+        MBrecord &record) = 0;
 
     // Close the RPFITS file.
@@ -114,7 +130,11 @@
 
   protected:
-    int    *cBeams, *cEndChan, cGetFeedPos, cGetSpectra, cGetXPol, cHaveBase,
-           cHaveSpectra, *cHaveXPol, *cIFs, cNBeam, *cNChan, cNIF, *cNPol,
-           *cRefChan, *cStartChan;
+    int  *cBeams, *cEndChan, cGetFeedPos, cCoordSys, cGetSpectra, cGetXPol, 
+           cHaveBase, cHaveSpectra, *cHaveXPol, *cIFs, cNBeam, *cNChan, cNIF, 
+           *cNPol, *cRefChan, *cStartChan;
+
+    // For use in constructing messages.
+    char cMsg[256];
+
 };
 
